catalog:
  title: Aria

templates:
- freestyle
- base

variables:
  keywords:
  - aria

  branches:
  - 2.8.1
  - 2.9.0

  extra-provides:
  - nature: freestyle
    target: aria

  upstream.file: ARIA-${upstream.version}+x86_64+gcc4.6.tgz
  upstream.location: http://robots.mobilerobots.com/ARIA/download/archives/
  shell.command: |
    wget ${upstream.location}/${upstream.file}
    tar -xvf ${upstream.file}
    cd Aria-${upstream.version}/
    mkdir -p ${toolkit.dir}/opt/aria
    make clean
    make
    sed -i 's#-perm +1#-perm /1#g' Makefile
    INSTALL_DIR=${toolkit.dir}/opt/aria make install
    rm -rf ${toolkit.dir}/lib/libAria.so
    ln -s ${toolkit.dir}/opt/aria/lib/libAria.so ${toolkit.dir}/lib/libAria.so

versions:
- name: 2.8.1
  variables:
    upstream.version: 2.8.1

- name: 2.9.0
  variables:
    upstream.version: 2.9.0
